/*
 * Header of shellfish.c
 *
*/

void 	Print_Header		(void);						// print header of main

void 	Print_Help		(void);						// print help of main

int 	Get_Cmd_Params		(int argc,char *params[]);			// read command line parameters

void 	ShellFish		();						// ShellFish - main

int 	ShellFish_Run_Shell	(int eventtype, int outstatex, int button, int butstate, 
				 int deltastep, int Counter_1, int *Sub_Counter_1, int Counter_2, int *Sub_Counter_2,
				 int State_Analog_1, int State_Analog_2, int *Dac_Out_State_1, int *Dac_Out_State_2,
				 int *Queued_Button, int *Button_Hold, int *fkey, int *Timers,
				 int *State_SimAnalogIn_1, int *State_SimAnalogIn_2, int *SimAnalogIn_1, int *SimAnalogIn_2); // ShellFish - Shell and process response of shell

int 	ShellFish_HTTP_Update	(int outstate, int butstate, int deltastep,
				 int Counter_1, int Counter_2, 
				 int State_Analog_1, int State_Analog_2,
				 int *Dac_Out_State_1, int *Dac_Out_State_2,
				 int *cmd, int *hld, int *fkey, int *Timers,
				 int *State_SimAnalogIn_1, int *State_SimAnalogIn_2, int *SimAnalogIn_1, int *SimAnalogIn_2);	// ShellFish - Update to webservice

int 	fget_Numeric_Parm	(FILE *File_Handle);				// Reads chars till eof or non-numeric and convert to int

int 	Get_Keyboard		(void);						// Get a char

int 	Keyboard_Hit		(void);						// Check if KB is hit

int 	Merge_Bit		(int ost, int b, int u);			// Merge bits to existing byte

int 	Cv_String_To_Int	(char *text, int *i);				// string to integer

const char *Bit_Str		(int ost);					// Make bit presentation of int
